News Feed
Sections




News Archive
Looking for more information on how to do PHP the right way? Check out PHP: The Right Way

Greg Beaver's Blog:
Be careful of PEAR 1.4.4 and older installs when uninstalling a package
December 19, 2006 @ 09:45:00

Greg Beaver has a warning for those developers using an older version of PEAR (1.4.4 and older) and uninstalling packages - a bug that might cause issues from an unauthorized uninstallation.

Recently, a curious bug was opened at pear.php.net for the PEAR package (#9639). In it, a user was able to uninstall the Structures_DataGrid package, even though all of its subpackages were installed, which should have prevented uninstallation.

There's been a key update to the dependency module that keeps this sort of thing from happening, but it's only in versions 1.4.5 and higher. Greg also recommends the reinstall of any packages that you've installed before and up to version 1.4.4 just to ensure that the dependency database is up to date.

15 comments voice your opinion now!
pear packge uninstall older version reinstall dependency pear packge uninstall older version reinstall dependency


blog comments powered by Disqus

Similar Posts

Edin Kadribasic's Blog: PHP 4.4.5-win32 with MySQL 5.0.22

Ruslan Yakushev's Blog: PHP 5.3 and PEAR available in WebMatrix Beta 3

PHPClasses.org: Lately in PHP, Episode 31 - The Urge to Kill Older PHP Versions

PEAR Blog: Request for ideas: New developer FAQ

Phil Sturgeon's Blog: CodeIgniter 2.0: Everything you need to know


Community Events





Don't see your event here?
Let us know!


series language opinion laravel bugfix voicesoftheelephpant introduction release install symfony framework package community api interview podcast library tips list deployment

All content copyright, 2014 PHPDeveloper.org :: info@phpdeveloper.org - Powered by the Solar PHP Framework